/**
    @filename   :   epd7_4c-test08.ino
    @brief      :   7.4inch e-ink tests
    @author     :   YodaLogic

    Test LUT for Chroma74 display.
    Based on epd7in5-demo.ino Yehui from Waveshare
    ESP32
*/

#include <SPI.h>
#include "epd7in5b.h"
#include "DoNotDisturbColor.h"
#include "DoNotDisturbBW.h"

#define LED_BUILTIN 2

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  pinMode(LED_BUILTIN, OUTPUT);
  digitalWrite(LED_BUILTIN, HIGH);   // turn the LED on (HIGH is the voltage level)
  Epd epd;
  if (epd.Init() != 0) {
    Serial.print("e-Paper init failed");
    return;
  }

  for ( int i = 0; i < 2; i++)
  {
    Serial.println("Display DND BW");
    epd.DisplayBWFrame(IMAGE_DND_BW);
    delay(10000);
    Serial.println("Display DND Color");
    epd.DisplayFrame(IMAGE_DND_C);
    delay(10000);
    Serial.println("Pattern");
    epd.DisplayPattern();
    delay(10000);
  }

  Serial.println("Sleep");
  epd.Sleep();
  digitalWrite(LED_BUILTIN, LOW);    // turn the LED off by making the voltage LOW

}

void loop() {
  // put your main code here, to run repeatedly:

}
